Broadcom bluetooth device BCM20702A0 [413c:8197] not supported

Bug #854399 reported by Jeremy Kerr on 2011-09-20
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Jesse Sung
Oneiric
Medium
Jesse Sung
Precise
Undecided
Jesse Sung

Bug Description

The broadcom USB bluetooth device "BCM20702A0" (vendor:device ids 413c:8197) does not match any drivers' probe functions, as there is no suitable USB device ID match in the kernel.

Jeremy Kerr (jk-ozlabs) on 2011-09-20
tags: added: blocks-hwcert-enablement
Changed in linux (Ubuntu):
assignee: nobody → Canonical Hardware Enablement Team (canonical-hwe-team)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 854399

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Oneiric):
status: Incomplete → In Progress
importance: Undecided → Medium
Jesse Sung (wenchien) wrote :

Subject: [PATCH] Bluetooth: Add support for Broadcom BCM20702A0.

Add a new entry (413c:8197) to device ID table.

Signed-off-by: Wen-chien Jesse Sung <jesse.sung>
---
 drivers/bluetooth/btusb.c | 3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/drivers/bluetooth/btusb.c b/drivers/bluetooth/btusb.c
index 91d13a9..d786bb8 100644
--- a/drivers/bluetooth/btusb.c
+++ b/drivers/bluetooth/btusb.c
@@ -91,6 +91,9 @@ static struct usb_device_id btusb_table[] = {
        /* Canyon CN-BTU1 with HID interfaces */
        { USB_DEVICE(0x0c10, 0x0000) },

+ /* Broadcom BCM20702A0 */
+ { USB_DEVICE(0x413c, 0x8197) },
+
        { } /* Terminating entry */
 };

--
1.7.6.3

Hi Jesse,

> Add a new entry (413c:8197) to device ID table.
>
> Signed-off-by: Wen-chien Jesse Sung <email address hidden>
> ---
> drivers/bluetooth/btusb.c | 3 +++
> 1 files changed, 3 insertions(+), 0 deletions(-)
>
> diff --git a/drivers/bluetooth/btusb.c b/drivers/bluetooth/btusb.c
> index 91d13a9..d786bb8 100644
> --- a/drivers/bluetooth/btusb.c
> +++ b/drivers/bluetooth/btusb.c
> @@ -91,6 +91,9 @@ static struct usb_device_id btusb_table[] = {
> /* Canyon CN-BTU1 with HID interfaces */
> { USB_DEVICE(0x0c10, 0x0000) },
>
> + /* Broadcom BCM20702A0 */
> + { USB_DEVICE(0x413c, 0x8197) },
> +

please prove that this is needed. What does usb-devices tell you about
this device?

Regards

Marcel

Jesse Sung (wenchien) wrote :
Download full text (11.9 KiB)

On 09/20/2011 09:05 PM, Marcel Holtmann wrote:
> Hi Jesse,
>
>> Add a new entry (413c:8197) to device ID table.
>>
>> Signed-off-by: Wen-chien Jesse Sung<email address hidden>
>> ---
>> drivers/bluetooth/btusb.c | 3 +++
>> 1 files changed, 3 insertions(+), 0 deletions(-)
>>
>> diff --git a/drivers/bluetooth/btusb.c b/drivers/bluetooth/btusb.c
>> index 91d13a9..d786bb8 100644
>> --- a/drivers/bluetooth/btusb.c
>> +++ b/drivers/bluetooth/btusb.c
>> @@ -91,6 +91,9 @@ static struct usb_device_id btusb_table[] = {
>> /* Canyon CN-BTU1 with HID interfaces */
>> { USB_DEVICE(0x0c10, 0x0000) },
>>
>> + /* Broadcom BCM20702A0 */
>> + { USB_DEVICE(0x413c, 0x8197) },
>> +
>
> please prove that this is needed. What does usb-devices tell you about
> this device?

Hi Marcel,

Currently I only have the output of lsusb -v at hand:

Bus 001 Device 003: ID 413c:8197 Dell Computer Corp.
Device Descriptor:
   bLength 18
   bDescriptorType 1
   bcdUSB 2.00
   bDeviceClass 255 Vendor Specific Class
   bDeviceSubClass 1
   bDeviceProtocol 1
   bMaxPacketSize0 64
   idVendor 0x413c Dell Computer Corp.
   idProduct 0x8197
   bcdDevice 1.12
   iManufacturer 1 Broadcom Corp
   iProduct 2 BCM20702A0
   iSerial 3 D0DF9AA9C513
   bNumConfigurations 1
   Configuration Descriptor:
     bLength 9
     bDescriptorType 2
     wTotalLength 218
     bNumInterfaces 4
     bConfigurationValue 1
     iConfiguration 0
     bmAttributes 0xe0
       Self Powered
       Remote Wakeup
     MaxPower 0mA
     Interface Descriptor:
       bLength 9
       bDescriptorType 4
       bInterfaceNumber 0
       bAlternateSetting 0
       bNumEndpoints 3
       bInterfaceClass 255 Vendor Specific Class
       bInterfaceSubClass 1
       bInterfaceProtocol 1
       iInterface 0
       Endpoint Descriptor:
         bLength 7
         bDescriptorType 5
         bEndpointAddress 0x81 EP 1 IN
         bmAttributes 3
           Transfer Type Interrupt
           Synch Type None
           Usage Type Data
         wMaxPacketSize 0x0010 1x 16 bytes
         bInterval 1
       Endpoint Descriptor:
         bLength 7
         bDescriptorType 5
         bEndpointAddress 0x82 EP 2 IN
         bmAttributes 2
           Transfer Type Bulk
           Synch Type None
           Usage Type Data
         wMaxPacketSize 0x0040 1x 64 bytes
         bInterval 1
       Endpoint Descriptor:
         bLength 7
         bDescriptorType 5
         bEndpointAddress 0x02 EP 2 OUT
         bmAttributes 2
           Transfer Type Bulk
           Synch Type None
           Usage Type Data
         wMaxPacketSize 0x0040 1x 64 bytes
       ...

Marcel Holtmann (holtmann) wrote :

Hi Jesse,

> btusb would not take care of this device without its id in the table.
>
> If the output of usb-devices is still needed, please let me know.

yes, I just wanna see usb-devices and not go through 3 pages of verbose
lsusb output since that is not helping me.

Regards

Marcel

Jesse Sung (wenchien) wrote :

On 09/21/2011 03:53 PM, Marcel Holtmann wrote:
> Hi Jesse,
>
>> btusb would not take care of this device without its id in the table.
>>
>> If the output of usb-devices is still needed, please let me know.
>
> yes, I just wanna see usb-devices and not go through 3 pages of verbose
> lsusb output since that is not helping me.

Hi Marcel,

usb-devices output:

T: Bus=01 Lev=02 Prnt=02 Port=03 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 2.00 Cls=ff(vend.) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=413c ProdID=8197 Rev=01.12
S: Manufacturer=Broadcom Corp
S: Product=BCM20702A0
S: SerialNumber=D0DF9AA9C9F1
C: #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
I: If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)

Thanks,
Jesse

Tim Gardner (timg-tpi) on 2011-10-04
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (10.3 KiB)

This bug was fixed in the package linux - 3.1.0-1.1

---------------
linux (3.1.0-1.1) precise; urgency=low

  [ Andiry Xu ]

  * SAUCE: (drop during 3.2 merge) xHCI: AMD isoc link TRB chain bit quirk
    - LP: #872811

  [ Andy Whitcroft ]

  * Revert "ubuntu: compcache -- follow changes to bd_claim/bd_release"
    - LP: #832694
  * Revert "ubuntu: compcache -- version 0.5.3"
    - LP: #832694
  * [Config] standardise CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP=m
  * [Config] Enable CONFIG_MACVTAP=m
    - LP: #822601
  * record the compiler in the ABI and check for inconsistant builds
  * [Config] move ECRYPT_FS back to =y for all architectures
    - LP: #827197
  * [Config] enable CONFIG_DRM_VMWGFX=m
    - LP: #698009
  * [Config] re-fix ECRYPT_FS=y
    - LP: #827197
  * enforcer -- ensure we have CONFIG_ECRYPT_FS=y
    - LP: #827197
  * [Config] dropping compcache configuration options
  * [Config] standardise on HZ=250
  * SAUCE: headers_install: fix #include "..." usage for userspace
    - LP: #824377
  * make module-inclusion selection retain the left overs
  * add a new linux-image-extras package for virtual

  [ Colin Watson ]

  * Deliver more Atheros, Ralink, and iwlagn NIC drivers to d-i

  [ edwin_rong ]

  * SAUCE: Staging: add driver for Realtek RTS5139 cardreader
    - LP: #824273

  [ Greg Kroah-Hartman ]

  * SAUCE: staging: rts5139: add vmalloc.h to some files to fix the build.
    - LP: #824273

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Jiri Kosina ]

  * SAUCE: HID: add MacBookAir4, 2 to hid_have_special_driver[]

  [ Joshua V. Dillon ]

  * SAUCE: HID: add support for MacBookAir4,2 keyboard.

  [ Kees Cook ]

  * [Config] enable and enforce SECCOMP_FILTER on x86

  [ Keng-Yu Lin ]

  * [Config] Enable CONFIG_RTS5139=m on i386/amd64
    - LP: #824273

  [ Leann Ogasawara ]

  * Revert "ubuntu: overlayfs -- ovl: make lower mount read-only"
  * Revert "ubuntu: overlayfs -- fs: limit filesystem stacking depth"
  * Revert "ubuntu: overlayfs -- ovl: improve stack use of lookup and
    readdir"
  * Revert "ubuntu: overlayfs -- ovl: fix overlayfs over overlayfs"
  * Revert "ubuntu: overlayfs -- overlayfs: implement show_options"
  * Revert "ubuntu: overlayfs -- overlayfs: add statfs support"
  * Revert "ubuntu: overlayfs -- overlay filesystem"
  * Revert "ubuntu: overlayfs -- overlay: overlay filesystem documentation"
  * Revert "SAUCE: ARM: OMAP: Add macros for comparing silicon revision"
  * Revert "SAUCE: OMAP: DSS2: check for both cpu type and revision, rather
    than just revision"
  * Revert "SAUCE: OMAP: DSS2: enable hsclk in dsi_pll_init for OMAP36XX"
  * Revert "ubuntu: fsam7400 disable driver"
    - LP: #876030
  * rebase to v3.1-rc1
  * [Config] updateconfigs after rebase to v3.1-rc1
  * rebase to v3.1-rc2
  * [Config] Updateconfigs after rebase to v3.1-rc2
  * ubuntu: Yama - update calls to generic_permission() and
    inode->i_op->permission()
  * ubuntu: ndiswrapper -- remove netdev_priv macro
  * ubuntu: aufs -- Temporarily disable due to build failure
  * [Config] Diable INTEL_MID_PTI on armel
  * [Config] Temporarily disable CONFIG_FTMAC100 on armel
  * [Conf...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Kent Baxley (kentb) wrote :

Which kernel is in oneiric -proposed that has the fix for this in it?

I installed 3.0.0-13 today, rebooted, and the bluetooth isn't currently working.

Herton R. Krzesinski (herton) wrote :

@Kent: the oneiric kernel in -proposed is 3.0.0-13.21, it includes a similar fix as the one listed in comment #2, but instead of adding the id to the btusb_table, it adds it to the btusb blacklist table, which should be the cause it doesn't work (probably the result of a hunk apply mismatch or something else). I'm setting the status to Incomplete and marking as verification-failed-oneiric, must be fixed, the oneiric kernel will be respinned.

tags: added: verification-failed-oneiric
removed: verification-needed-oneiric
Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Incomplete
Jesse Sung (wenchien) wrote :

On 09/21/2011 10:57 PM, Jesse Sung wrote:
> On 09/21/2011 03:53 PM, Marcel Holtmann wrote:
>> Hi Jesse,
>>
>>> btusb would not take care of this device without its id in the table.
>>>
>>> If the output of usb-devices is still needed, please let me know.
>>
>> yes, I just wanna see usb-devices and not go through 3 pages of verbose
>> lsusb output since that is not helping me.
>
> Hi Marcel,
>
> usb-devices output:
>
> T: Bus=01 Lev=02 Prnt=02 Port=03 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
> D: Ver= 2.00 Cls=ff(vend.) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
> P: Vendor=413c ProdID=8197 Rev=01.12
> S: Manufacturer=Broadcom Corp
> S: Product=BCM20702A0
> S: SerialNumber=D0DF9AA9C9F1
> C: #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
> I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
> I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
> I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
> I: If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)
>
> Thanks,
> Jesse

Hi Marcel,

If there's any other info needed, please kindly let me know.

Thanks,
Jesse

Herton R. Krzesinski (herton) wrote :

The fix is now reverted in linux 3.0.0-13.22, due to have failed verification. Please contact the kernel team if you want to have the correct fix included.

tags: added: verification-reverted-oneiric
removed: verification-failed-oneiric
Chris Van Hoof (vanhoof) on 2011-11-07
Changed in linux (Ubuntu Oneiric):
assignee: Canonical Hardware Enablement Team (canonical-hwe-team) → Jesse Sung (wenchien)
Jesse Sung (wenchien) wrote :

On 11/01/2011 03:33 AM, Gustavo Padovan wrote:
> Hi Jesse,
>
> * Jesse Sung<email address hidden> [2011-09-20 15:29:19 +0800]:
>
>> Add a new entry (413c:8197) to device ID table.
>
> Can I get the output of usbdevices in the commit message, please. Then we can
> prove that adding it to the device ID table is really necessary.
>
> Gustavo

Hi Gustavo,

Sure! Modified patch attached. :)

Thanks,
Jesse

BugLink: http://bugs.launchpad.net/bugs/854399

Add a new entry (413c:8197) to Bluetooth USB device ID table.
---
  drivers/bluetooth/btusb.c | 3 +++
  1 files changed, 3 insertions(+), 0 deletions(-)

Changed in linux (Ubuntu Precise):
assignee: nobody → Jesse Sung (wenchien)

BugLink: http://bugs.launchpad.net/bugs/854399

This entry should be in btusb_table instead of blacklist_table.

Signed-off-by: Wen-chien Jesse Sung <email address hidden>
---
  drivers/bluetooth/btusb.c | 6 +++---
  1 files changed, 3 insertions(+), 3 deletions(-)

On 11/08/2011 03:30 PM, Jesse Sung wrote:
>
> BugLink: http://bugs.launchpad.net/bugs/854399
>
> Add a new entry (413c:8197) to Bluetooth USB device ID table.
> ---
> drivers/bluetooth/btusb.c | 3 +++
> 1 files changed, 3 insertions(+), 0 deletions(-)

Oops... Re-send since previous one lack of Signed-off-by...

Changed in linux (Ubuntu Oneiric):
status: Incomplete → In Progress
Tim Gardner (timg-tpi) wrote :

The first patch for Precise applied the device IDs to the blacklist table instead of the btusb_table

Changed in linux (Ubuntu Precise):
status: Fix Released → Fix Committed
Tim Gardner (timg-tpi) on 2011-11-08
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed

The attachment "0001-Bluetooth-Add-support-for-Broadcom-BCM20702A0.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Jesse Sung (wenchien) on 2011-11-08
tags: removed: patch
Mike R (mike-fusebuilder) wrote :

I'm stuck with Natty atm. I've downloaded this patch file, what do I need to do to merge it into my system?

Jesse Sung (wenchien) wrote :

Mike,

You need to build kernel packages with patched kernel source.
https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel

Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package linux - 3.2.0-1.1

---------------
linux (3.2.0-1.1) precise; urgency=low

  [ Andy Whitcroft ]

  * armhf -- enable armhf and create the first flavours
  * SAUCE: ensure root is ready before running usermodehelpers in it
  * [Config] enforcer -- ensure CONFIG_FAT_FS is built-in on arm

  [ Leann Ogasawara ]

  * Temporarily ignore module check
  * [Config] Enable PCI_IOV on powerpc
  * [Config] Temporarily disable CONFIG_PASEMI_MAC on powerpc
  * rebase to v3.2-rc2
  * SAUCE: include <linux/export.h> for cpuidle34xx arm build
  * SAUCE: include <linux/kernel.h> for linux/mtd/map.h arm build
  * SAUCE: include <linux/printk.h> and <stdarg.h> for mmc_core arm build
  * SAUCE: select ARM_AMBA if OMAP3_EMU
  * [Config] updateconfigs after select ARM_AMBA
  * [Config] Temporarily disable CONFIG_KVM_BOOK3S_32 on powerpc
  * [Config] Enable CONFIG_EXT2_FS=m
  * [Config] Build in CONFIG_SATA_AHCI=y
  * Resolve linux-image-extra's install dependency

  [ Seth Forshee ]

  * [Config] Enable EVENT_POWER_TRACING_DEPRECATED=y for powertop
  * SAUCE: (drop after 3.2) Input: ALPS - move protocol information to
    Documentation
  * SAUCE: (drop after 3.2) Input: ALPS - add protocol version field in
    alps_model_info
  * SAUCE: (drop after 3.2) Input: ALPS - remove assumptions about packet
    size
  * SAUCE: (drop after 3.2) Input: ALPS - add support for protocol versions
    3 and 4
  * SAUCE: (drop after 3.2) Input: ALPS - add semi-MT support for v3
    protocol
  * SAUCE: (drop after 3.2) Input: ALPS - add documentation for protocol
    versions 3 and 4

  [ Stefan Bader ]

  * [Config] Built-in xen-netfront and xen-blkfront
  * Fix build of dm-raid45 and re-enable it

  [ Tim Gardner ]

  * [Config] CONFIG_USB_XHCI_HCD=y
    - LP: #886167
  * [Config] CONFIG_R6040=m
    - LP: #650899
  * SAUCE: Add a new entry (413c:8197) to Bluetooth USB device ID table
    - LP: #854399
  * [Config] Consolidated amd64 server flavour into generic
  * [Config] updateconfigs after rebase to 3.2-rc1
  * [Config] Disabled dm-raid4-5
  * [Config] Disabled ndiswrapper
  * [Config] Disable vt6656
  * [Config] exclude ppp-modules for virtual flavour
  * [Config] CONFIG_MEMSTICK_R592=m
    - LP: #238208

  [ Upstream Kernel Changes ]

  * CHROMIUM: seccomp_filter: new mode with configurable syscall filters
    - LP: #887780
  * CHROMIUM: seccomp_filter: add process state reporting
    - LP: #887780
  * CHROMIUM: seccomp_filter: Document what seccomp_filter is and how it
    works.
    - LP: #887780
  * CHROMIUM: x86: add HAVE_SECCOMP_FILTER and seccomp_execve
    - LP: #887780
  * CHROMIUM: arm: select HAVE_SECCOMP_FILTER
    - LP: #887780
  * CHROMIUM: seccomp_filters: move to btrees
  * CHROMIUM: enable CONFIG_BTREE
  * CHROMIUM: seccomp_filter: kill NR_syscall references
  * CHROMIUM: seccomp_filters: guard all ftrace wrapper code
  * CHROMIUM: seccomp_filters: clean up warnings; kref mistake
  * CHROMIUM: seccomp_filter: remove "skip" from copy and add drop helper
  * CHROMIUM: seccomp_filter: allow CAP_SYS_ADMIN management of execve
  * CHROMIUM: seccomp_filter: inheritance documentation
  * CHROMIUM: seccomp_filter: make inherited filt...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (19.8 KiB)

This bug was fixed in the package linux - 3.0.0-13.22

---------------
linux (3.0.0-13.22) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #884847

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: Add a new entry (413c:8197) to Bluetooth USB device ID
    table"

linux (3.0.0-13.21) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #876701

  [ Leann Ogasawara ]

  * Revert "SAUCE: ata: make DVD drive recognisable on systems with
    Sandybridge CPT chipset"
    - LP: #737388, #782389, #794642
  * SAUCE: drm/radeon/kms: Fix logic error in DP HPD handler
    - LP: #860868

  [ Ming Lei ]

  * SAUCE: [media] uvcvideo: Set alternate setting 0 on resume if the bus
    has been reset
    - LP: #816484
  * SAUCE: ata_piix: make DVD Drive recognisable on systems with Intel
    Sandybridge chipsets(v2)
    - LP: #737388, #782389, #794642

  [ Seth Forshee ]

  * SAUCE: acer-wmi: Add wireless quirk for Lenovo 3000 N200
    - LP: #857297

  [ Tim Gardner ]

  * SAUCE: Add a new entry (413c:8197) to Bluetooth USB device ID table
    - LP: #854399
  * [Config] Enable ftrace support in the mac80211 layer
    - LP: #865171
  * SAUCE: usb/core/devio.c: Check for printer class specific request
    - LP: #872711
  * SAUCE: xHCI: AMD isoc link TRB chain bit quirk
    - LP: #872811

  [ Upstream Kernel Changes ]

  * Revert "rt2x00: Serialize TX operations on a queue."
    - LP: #868628
  * Revert "rt2x00: fix crash in rt2800usb_write_tx_desc"
    - LP: #868628
  * Revert "rt2x00: fix crash in rt2800usb_get_txwi"
    - LP: #868628
  * Revert "rt2x00: Move rt2800_txdone and rt2800_txdone_entry_check to
    rt2800usb."
    - LP: #868628
  * Revert "sfc: Use write-combining to reduce TX latency" and follow-ups
    - LP: #868628
  * Revert "drm/radeon/kms: fix typo in r100_blit_copy"
    - LP: #868628
  * x86, amd: Avoid cache aliasing penalties on AMD family 15h
    - LP: #862583
  * x86: Add a BSP cpu_dev helper
    - LP: #862583
  * x86, amd: Move BSP code to cpu_dev helper
    - LP: #862583
  * x86-32, amd: Move va_align definition to unbreak 32-bit build
    - LP: #862583
  * Make TASKSTATS require root access, CVE-2011-2494
    - LP: #866021
    - CVE-2011-2494
  * kernel/printk: do not turn off bootconsole in printk_late_init() if
    keep_bootcon
    - LP: #868628
  * rapidio: fix use of non-compatible registers
    - LP: #868628
  * arch/powerpc/sysdev/fsl_rio.c: correct IECSR register clear value
    - LP: #868628
  * ASoC: soc-jack: Fix checking return value of request_any_context_irq
    - LP: #868628
  * ASoC: ad193x: fix registers definition
    - LP: #868628
  * ASoC: ad193x: fix dac word len setting
    - LP: #868628
  * omap-serial: Allow IXON and IXOFF to be disabled.
    - LP: #868628
  * serial: 8250_pnp: add Intermec CV60 touchscreen device
    - LP: #868628
  * 8250_pci: add support for Rosewill RC-305 4x serial port card
    - LP: #868628
  * 8250: Fix race condition in serial8250_backup_timeout().
    - LP: #868628
  * tty: Add "spi:" prefix for spi modalias
    - LP: #868628
  * TTY: pty, fix pty counting
    - LP: #868628
  * USB: ftdi_sio: add Calao r...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This was not fixed in 3.0.0-13.22 (Oneiric)

Changed in linux (Ubuntu Oneiric):
status: Fix Released → Fix Committed
Herton R. Krzesinski (herton) wrote :

After the previous verification of the fix failed, a new fix was sent and commited, and a new kernel for Oneiric is in -proposed (3.0.0-14.23), awaiting verification that it solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
removed: verification-reverted-oneiric
Kent Baxley (kentb) wrote :

With the proposed kernel I can now pair the bluetooth adapter with a device whereas I could not before installing this kernel.

Thanks!

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Launchpad Janitor (janitor) wrote :
Download full text (24.8 KiB)

This bug was fixed in the package linux - 3.0.0-14.23

---------------
linux (3.0.0-14.23) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #893213

  [ Andy Whitcroft ]

  * debian: add locking to protect debian/files from parallel update

  [ Konrad Rzeszutek Wilk ]

  * SAUCE: x86/paravirt: Partially revert "remove lazy mode in interrupts"
    - LP: #854050

  [ Leann Ogasawara ]

  * Revert "ubuntu: fsam7400 disable driver"
    - LP: #876030

  [ Seth Forshee ]

  * [Config] Enable EVENT_POWER_TRACING_DEPRECATED=y for powertop

  [ Tim Gardner ]

  * Add postinit and postrm scripts to the extras package
    - LP: #882120
  * [Config] CONFIG_R6040=m
    - LP: #650899
  * [Config] CONFIG_MEMSTICK_R592=m
    - LP: #238208
  * [Config] CONFIG_HID_ACRUX_FF=y
    - LP: #890952

  [ Upstream Kernel Changes ]

  * Revert "NFS: Ensure that writeback_single_inode() calls write_inode()
    when syncing"
    - LP: #890952
  * sparc64: Force the execute bit in OpenFirmware's translation entries.
    - LP: #881420
  * sched/rt: Migrate equal priority tasks to available CPUs
    - LP: #881420
  * sched: Fix up wchan borkage
    - LP: #881420
  * ide-disk: Fix request requeuing
    - LP: #881420
  * posix-cpu-timers: Cure SMP wobbles
    - LP: #881420
  * lis3: fix regression of HP DriveGuard with 8bit chip
    - LP: #881420
  * ASoC: use a valid device for dev_err() in Zylonite
    - LP: #881420
  * ASoC: Fix setting update bits for WM8753_LADC and WM8753_RADC
    - LP: #881420
  * drm/radeon: Update AVIVO cursor coordinate origin before x/yorigin
    calculation.
    - LP: #881420
  * drm/radeon/kms: fix regression in DP aux defer handling
    - LP: #881420
  * drm/radeon/kms: add retry limits for native DP aux defer
    - LP: #881420
  * drm/radeon/kms: fix channel_remap setup (v2)
    - LP: #881420
  * ptp: fix L2 event message recognition
    - LP: #881420
  * x86/PCI: use host bridge _CRS info on ASUS M2V-MX SE
    - LP: #881420
  * qla2xxx: Fix crash in qla2x00_abort_all_cmds() on unload
    - LP: #881420
  * libsas: fix panic when single phy is disabled on a wide port
    - LP: #881420
  * md: Avoid waking up a thread after it has been freed.
    - LP: #881420
  * dm table: avoid crash if integrity profile changes
    - LP: #881420
  * mmc: mxs-mmc: fix clock rate setting
    - LP: #881420
  * exec: do not call request_module() twice from search_binary_handler()
    - LP: #881420
  * ARM: mach-ux500: enable fix for ARM errata 754322
    - LP: #881420
  * drm/radeon/kms: retry aux transactions if there are status flags
    - LP: #881420
  * drm/radeon/kms: use hardcoded dig encoder to transmitter mapping for
    DCE4.1
    - LP: #881420
  * ipv6: fix NULL dereference in udp6_ufo_fragment()
    - LP: #881420
  * ahci: Enable SB600 64bit DMA on Asus M3A
    - LP: #881420
  * MIPS: PM: Use struct syscore_ops instead of sysdevs for PM (v2)
    - LP: #881420
  * ftrace: Fix regression of :mod:module function enabling
    - LP: #881420
  * ftrace: Fix regression where ftrace breaks when modules are loaded
    - LP: #881420
  * ftrace: Fix warning when CONFIG_FUNCTION_TRACER is not defined
    - LP: #881420
  * ...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers